void FitTwoGaussian() {
  TFile* f = TFile::Open("myHisto.root");
  TH1* histo = f->Get("myh2");
  gStyle->SetOptFit(1111);
  gStyle->SetOptStat(0);

  // Simple Fit
  histo->Fit("gaus");
  TCanvas *c1 = new TCanvas("c1","Simple Fit",600,600);
  histo->DrawClone();

  // Inline Gaussians
  TCanvas *c2 = new TCanvas("c2","Inline function",600,600);
  TF1* gauss2 = new TF1("gauss2",
			"([0]/[2])*exp(-0.5*(x-[1])**2/[2]**2)+([3]/[4])*exp(-0.5*(x-[1])**2/[4]**2)",
			-10.,10.);
  gauss2->SetParameter(0,100.);
  gauss2->SetParameter(1,0.);
  gauss2->SetParameter(2,1.);
  gauss2->SetParameter(3,100.);
  gauss2->SetParameter(4,2.);
  TFitResultPtr fitres = histo->Fit("gauss2","S");
  fitres->Print(cout);
  fitres->PrintCovMatrix(cout);
  histo->DrawClone();

  // Separate function for two gaussians
  TCanvas *c3 = new TCanvas("c3","External function",600,600);
  TF1* gauss3 = new TF1("gauss3", myTwoGauss,-10.,10.,5);
  gauss3->SetParameter(0,5000.);
  gauss3->SetParameter(1,0.);
  gauss3->SetParameter(2,0.5);
  gauss3->SetParameter(3,100.);
  gauss3->SetParameter(4,2.);
  TFitResultPtr fitres2 = histo->Fit("gauss3","S");
  fitres2->Print(cout);
  fitres2->PrintCovMatrix(cout);
  histo->DrawClone();

}

Double_t myTwoGauss(Double_t *x, Double_t *p) {
  Double_t norm = 1./sqrt(TMath::TwoPi());
  Double_t g1 = exp(-0.5*pow((x[0]-p[1])/p[2],2));
  g1*=(norm*p[0]/p[2]);
  Double_t g2 = exp(-0.5*pow((x[0]-p[1])/p[4],2));
  g2*=(norm*p[3]/p[4]);
  return g1+g2;
}
